Skip to main content
GET
List Agent Access Logs

Authorizations

Authorization
string
header
required

The API key to authenticate requests. Obtainable from the web dashboard.

Query Parameters

limit
integer<int32>

Limit used to constrain results of list operations. When not specified a default limit of 100 is used.

A maximum limit is applied to the results, so the server may respond with fewer results than requested; clients must not use this as a signal that this is the final page of results.

Required range: 1 <= x <= 200
after
string

Opaque cursor for continuing after a previous page. Follow the URL marked rel="next" in the Link response header to obtain it; do not construct or parse the cursor.

Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.

Required string length: 1 - 10000
since
string<date-time>

Include agent access logs created at or after this RFC 3339 date-time. Use this to start an export; use after on subsequent pages. Cannot be combined with after.

Example:

"2026-10-25T00:00:00Z"

Response

OK

eventId
string<uuid>
required

Unblocked-generated unique identifier for this event.

requestId
string
required

Client-supplied identifier of the MCP request.

timestamp
string<date-time>
required

Time the tool was invoked, formatted as an RFC 3339 date-time with a UTC offset.

Example:

"2026-10-25T16:03:21Z"

durationMilliseconds
integer<int64>
required

Elapsed wall-clock time from receiving the tool invocation to its terminal result, in milliseconds.

Required range: x >= 0
Example:

842

toolName
string
required

Name of the tool that was invoked.

Example:

"context_research"

method
string
required

MCP request method.

Example:

"tools/call"

client
object
required

Client information reported for the MCP request.

connectionType
enum<string>
required

Connection used to invoke the tool.

Available options:
remote,
cli
actor
object
required

The person or API key that invoked the tool.

result
enum<string>
required

Terminal result of the tool invocation.

Available options:
success,
plan_upgrade_required,
trial_expired,
tool_error,
protocol_error,
timed_out
protocolVersion
string

Protocol version reported by the MCP client, when available.

Example:

"2026-07-28"

error
string

Error message for an unsuccessful tool invocation, when available. Does not contain request or response content.